# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:       diffmark
Version:    0.10
Release:    alt1_5
Summary:    XML diff and merge
Group:      Text tools
# The library code has it's own license
# Parts of lib/lcs.hh is from Perl Algorithm::Diff module (GPL+ or Artistic)
# The build scripts are GPLv2+
License:    diffmark and GPLv2+ and (GPL+ or Artistic)
URL:        http://www.mangrove.cz/%{name}/
Source0:    %{url}%{name}-%{version}.tar.gz
# Superfluous RPATH in programs
Patch0:     %{name}-0.09-remove_rpath.patch
BuildRequires:  libxml2-devel
# Because of diffmark-0.08-remove_rpath.patch:
# And to update config.sub to support aarch64, bug #925255:
BuildRequires: autoconf automake libtool
Source44: import.info

%description
This is a XML diff and merge package. It consists of a shared library and
two utilities: dm and dm-merge. 

%package        devel
Summary:        Development files for %{name} library
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Header files and libraries for developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .rpath
# automake -i -f to support aarch64, bug #925255
libtoolize --force && autoreconf -i -f

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install "DESTDIR=$RPM_BUILD_ROOT"
find "$RPM_BUILD_ROOT" -name '*.la' -exec rm -f {} +

%files
%doc COPYING doc/*.html README 
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_4
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_3
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_2
- fc import

